#############################################################################################
#############################################################################################
##
## DEFINE BOB 
##
#############################################################################################
#############################################################################################


BOB_BIN             ?= $(VENDOR_PATH)bob
#BOB_SNIPPED_CONFIG  ?= $(VENDOR_PATH)bob/snippet.yaml
BOB_SYNC_CONFIG     ?= $(VENDOR_PATH)bob/sync.yaml

BOB_BUILD_PATH	    ?= $(BUILD_PATH)bob/build/
BOB_DIST_PATH	    ?= $(DIST_PATH)bob/dist/


define SYNCEXAMPLECONF
sync:

  - source:
      path: '../original/test1.html'
      selector: '#mainscript'
    destination:
      path: '../original/'
      exclude:
        - ../original/test1.html
        
  - source:
      path: '../original/test1.html'
      selector: '.deco'
    destination:
      path: '../original/'
      exclude:
        - ../original/test1.html
		
endef

export SYNCEXAMPLECONF

define SNIPPETEXAMPLECONF
snippet:
  -
    source: ../../template.html
    selector: 'h1'
    destination: ../../snippets/meta/container.html
    attribute:
      - selector: 'li'
        name: 'data-state'
        value: 'monster'
    replacement:
      -
        selector: 'li>span'
        content: 'hello'
endef

export SNIPPETEXAMPLECONF

$(BOB_SNIPPED_CONFIG):
	$(QUIET) $(ECHO) "$$BOB_SNIPPED_CONFIG" >> $@

$(BOB_SYNC_CONFIG):
	$(QUIET) $(ECHO) "$$BOB_SYNC_CONFIG" >> $@

