#############################################################################################
#############################################################################################
##
## DIRECTORIES
##
#############################################################################################
#############################################################################################

SOURCE_PATH               ?=   $(PROJECT_ROOT)source/

RELATIVE_SCRIPT_PATH      ?=   script/

SCRIPT_PATH               ?=   $(PROJECT_ROOT)$(RELATIVE_SCRIPT_PATH)
VENDOR_PATH               ?=   $(PROJECT_ROOT)vendor/
NODE_PATH                 ?=   $(PROJECT_ROOT)node_modules/
TEST_PATH                 ?=   $(PROJECT_ROOT)test/
DEVELOPMENT_PATH		  ?=   $(PROJECT_ROOT)

LICENSE_PATH              ?=   $(PROJECT_ROOT)
DIST_PATH			      ?=   $(PROJECT_ROOT)dist/

CONFIG_PATH			      ?=   $(PROJECT_ROOT)config/
BUILD_PATH			      ?=   $(PROJECT_ROOT)build/

BOB_SNIPPED_CONFIG 		  ?=   $(CONFIG_PATH)snippet.conf
BOB_SYNC_CONFIG    		  ?=   $(CONFIG_PATH)sync.yaml
				   		       
BOB_BUILD_PATH	   		  ?=   $(BUILD_PATH)
BOB_DIST_PATH	   		  ?=   $(DIST_PATH)
				   		 
PROJECT_DIRECTORIES :=  $(PROJECT_DIRECTORIES)  \
  $(SOURCE_PATH) \
  $(SCRIPT_PATH) \
  $(VENDOR_PATH) \
  $(NODE_PATH) \
  $(TEST_PATH) \
  $(LICENSE_PATH) \
  $(CONFIG_PATH) \
  $(BUILD_PATH) \
  $(DIST_PATH)

